This documentation is in progress and includes all updates released after Identity Server 5.4.1. For documentation specific to a version, see About This Release.
Installation Prerequisites - WSO2 Identity Server 5.x.x - WSO2 Documentation
||
Skip to end of metadata
Go to start of metadata

Prior to installing any WSO2 Carbon based product, it is necessary to have the appropriate prerequisite software installed on your system. Verify that the computer has the supported operating system and development platforms before starting the installation.

System requirements

Memory

  • ~ 2 GB minimum
  • ~ 512 MB heap size. This is generally sufficient on DEV/QA with a low number of users. 
  • ~ 1 GB heap size for PROD environment, supporting the most common use cases (OAuth/SAML, Federation, etc.) with moderate traffic.

Disk

  • ~ 1 GB, excluding space allocated for log files and databases.

Environment compatibility

Operating Systems/Databases/User Stores

  • WSO2 Identity Server 5.4.0 requires Oracle JDK 8 compliant JDK. This will run on most common platforms supporting Java 8. Any JDK except JDK 8 is not supported.
  • All WSO2 Carbon-based products are generally compatible with most common DBMSs. The embedded H2 database is suitable for development, testing, and some production environments. For most enterprise production environments, however, we recommend you use an industry-standard RDBMS such as Oracle, PostgreSQL, MySQL, MS SQL, etc. For more information, see Working with Databases. Additionally, we do not recommend the H2 database for use as a user store.
  • WSO2 Identity Server is shipped with a default embedded Apache DS. However, in a production environment, it is recommended to use an LDAP like OpenLDAP, due to scalability issues that exist with Apache DS.
  • For environments that WSO2 products are tested with, see Environments Tested with WSO2 Products
  • If you have difficulty in setting up any WSO2 product in a specific platform or database, please contact us by clicking the Get Support button at the bottom of this page .

Required applications

The following applications are required for running the product and its samples or for building from the source code. 

The applications marked with an asterisk * are mandatory.

Running the product

These applications are mandatory and are required to run the binary distribution of the WSO2 product. The binary distribution contains the binary files for both MS Windows, and Linux-based operating systems. It is recommended for most users.

Application

Purpose

Version

Download Links

Java SE Development Kit (JDK)*

  • JDK 8.

    Do not use JDK1.8.0_151 due to a known issue. This issue is fixed in JDK 1.8.0_162-ea. However, use JDK 1.8.0_144 until the latter mentioned version is released.

  • Oracle is supported when running (not building) WSO2 products.

    Note that IBM JRE 1.7 is not supported from 5.4.0 onwards for running WSO2 products.

https://openjdk.java.net/install/

http://www.oracle.com/technetwork/java/javase/downloads/java-archive-javase8-2177648.html

Web Browser*

  • To access the product's Management Console.The Web Browser must be JavaScript enabled to take full advantage of the Management console.

NOTE: On Windows Server 2003, you must not go below the medium security level in Internet Explorer 6.x.



Running samples and building from source

These applications are required for building the product from the source distribution, and compiling and running product samples. 

Application


PurposeVersionDownload Links

Apache Maven

  • To build the product from the source distribution (both JDK and Apache Maven are required).

    If you are installing by downloading and extracting the binary distribution (as recommended for most users) instead of building from the source code, you do not need to install Maven.

http://maven.apache.org/

  • No labels